const custom_items_no_tooltips = [
    'withering_blazed_rod',
    'crif',
    'siren',
    'worm',
    'stymphalian_bird',
    'myrmex',
    'cockatrice',
    'sea_dragon',
    'troll',
    'fire_dragon',
    'ice_dragon',
    'gorgon',
    'cyclop',
    'hydra',
    'ghost',
    'lightnin_dragon',
    'phantom_wing',
    "create_title",
    "adjacent",
    "perpendicular",
    "cogwheel",
    "water_wheel",
    "precision_screenshot"
];

// Create kubejs items
onEvent('item.registry', event => {

    // KubeJs vanilla tools replacements
    for (let tool of global.item_id){
        let name = global.id_to_name(tool);
        event.create(tool).displayName(name).tooltip('This won\'t work... but maybe it can be used for craftings').unstackable();
    };

    // Items with no tooltip
    for (let item of custom_items_no_tooltips){
        let name = global.id_to_name(item);
        event.create(item).displayName(name);
    }
});

onEvent('block.registry', event => {
    event.create('phantom_head').material('slime').hardness(0.5).displayName('Phantom Head').notSolid()
})